#
# spec file for package intltool (Version 0.31)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  expat perl-XML-Parser pkgconfig popt

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat gcc gdbm gettext libtool perl perl-XML-Parser pkgconfig popt-devel rpm

Name:         intltool
Summary:      Translators' Tools for GNOME programs
#'
Version:      0.31
Release:      0.1
Group:        Development/Tools/Other
BuildArchitectures: noarch
Requires:     pkgconfig
Provides:     xml-i18n-tools
Obsoletes:    xml-i18n-tools
License:      GPL
URL:          http://www.gnome.org
Source0:      ftp://ftp.gnome.org/pub/gnome/sources/intltool/%{version}/%{name}-%{version}.tar.bz2
Patch:        intltool-0.30-selftest.pl.in.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Some scripts to support translators working on GNOME programs. Data
available in XML files (.oaf, .desktop, .sheet, etc.) can be extracted
into PO files and, after translating, the new info will be written back
into the XML files.



Authors:
--------
    Almer S. Tigelaar  <almer1@dds.nl>
    Darin Adler  <darin@eazel.com>
    Fatih Demir	<kabalak@gmx.net>
    Kenneth Christiansen <kenneth@gnu.org>
    Maciej Stachowiak  <mjs@eazel.com>
    Robin * Slomkowski  <rslomkow@eazel.com>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
# %patch -p 0
#%%{?suse_update_config:%%{suse_update_config}}
autoreconf -f -i

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
                --mandir=%{_mandir} \
                --prefix=%{_prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir}
make check

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%defattr(0555, root, root)
%{_bindir}/*
%defattr (0444, root, root)
%{_mandir}/man8/*
%attr(0755,root,root) %{_datadir}/%{name}
%{_datadir}/aclocal/*

%changelog -n intltool
* Thu Jul 15 2004 - ke@suse.de
- Update to version 0.31 (from the announcement):
  * Support for C#.
  * New XML merging; entity decoding and encoding is not done anymore
  for XML.
  * Multiple-output XML merging now produces simpler files, and sets
  "xml:lang" only when translation is used
  * Support for passing comments to translators from XML and GConf
  schema files.
  * Bugfixes.
- Enable all tests (stop applying intltool-0.30-selftest.pl.in.patch).
* Wed Feb 04 2004 - ke@suse.de
- Update to version 0.30.
- Disable unreliable tests (intltool-0.30-selftest.pl.in.patch; the
  order of attributes isn't static).
* Wed Dec 10 2003 - ke@suse.de
- Update to version 0.28; it now depends on the Perl module XML::Parser.
- Adjust neededforbuild: Add perl-XML-Parser and expat.
- intltool-0.28-selftest.pl.in.patch: Disable trouble causing tests.
* Mon Aug 18 2003 - sbrabec@suse.cz
- Updated to version 0.27.2.
* Thu Jun 12 2003 - sbrabec@suse.cz
- Updated to version 0.26.
- Fixed directory packaging.
* Thu Jan 23 2003 - ke@suse.de
- Update to version 0.25; NEWS since 0.21:
  * Support Makefile.in.in from glib-gettextize from glib >= 2.1.5.
  * Strip the hints from POTFILES.in in -M mode.
  * Don't generate .h.h lines in the POTFILES.in for xgettext when the
  input file line is from a known type and also has the [type:
  gettext/..] hint.
  * Fix xml-i18n-tools part to work with new gettext 4.
  * Add a new .theme.in -> .theme rule.
  * gettextize 4.x work.
  * Recognise the "xml:space" attribute and preserve whitespace if set
  to "preserve".
  * GConf schemas handling changes.
  * Use charset.alias if available.
  * Add support for 'default' tags.
  * Added support for translation of descriptions used by ATK in glade
  files.
  * Made schemas extraction code more bulletproof.
  * Force intltool-update to exit if POTFILES.in is not found.
  * Add detection of glade2 files in -m mode.
  * Other bugfixes.
* Thu Sep 05 2002 - ro@suse.de
- removed libxml2 requires and from neededforbuild
* Mon Aug 12 2002 - ro@suse.de
- fixed permissions of intltool dir
* Thu Jun 06 2002 - ke@suse.de
- Update to version 0.21:
  * Add detection of glade2 files in -m mode.
  * Force intltool-update to exit if POTFILES.in is not found.
  * Make schemas extraction code more bulletproof.
  * Add support for translation of descriptions used by ATK in glade
  files.
* Thu May 23 2002 - ke@suse.de
- Update to version 0.21:
  * Add support for .schemas files.
  * Some .m4 fixes.
  * Perform variable substitutions when determining package name.
  * Add HOWTO on adding i18n support to an application.
  * Fix Glade XML decoding.
  * Better error reporting.
* Fri May 03 2002 - ke@suse.de
- Update to version 0.18: bug fixes, enhancements (e.g., recognize
  directories starting with po- as being translation directories, glade2
  support, take POTFILES.skip and POTFILES.ignore into account), update
  documentation.
* Wed Nov 21 2001 - ke@suse.de
- Update to version 0.12.
- Rename package: xml-i18n-tools -> intltool.
- Enable check.
- Numerous bug fixes.
- Heavily improved UTF-8 support.
- Support more input formats (e.g, Dia's .sheet files).
* Wed Aug 08 2001 - hhetter@suse.de
- update to version 0.9
* Mon May 28 2001 - ke@suse.de
- Apply xml-i18n-tools-prepare.diff to fix typo.
* Fri May 18 2001 - ke@suse.de
- Update to version 0.8.4.
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 0.8.1.
* Fri Feb 16 2001 - hhetter@suse.de
- Updated to version 0.8.
* Thu Feb 15 2001 - egger@suse.de
- Updated to version 0.6.
* Tue Jan 23 2001 - ke@suse.de
- New package: initial version 0.5.
